## r-bioc-rhdf5filters 1.2.0+dfsg2

=== DESCRIPTION ===
Package: rhdf5filters
Type: Package
Title: HDF5 Compression Filters
Version: 1.2.0
Authors@R: c(person("Mike", "Smith", 
                role=c("aut", "cre"), 
                email = "grimbough@gmail.com",
                comment = c(ORCID = "0000-0002-7800-3848"))
            )
Description: Provides a collection of compression filters for use with HDF5 datasets. 
License: BSD_2_clause + file LICENSE
LazyLoad: true
VignetteBuilder: knitr
Suggests: BiocStyle, knitr, rmarkdown, testthat (>= 2.1.0)
SystemRequirements: GNU make
URL: https://github.com/grimbough/rhdf5filters
BugReports: https://github.com/grimbough/rhdf5filters
LinkingTo: Rhdf5lib
RoxygenNote: 7.1.0
Encoding: UTF-8
biocViews: Infrastructure, DataImport
git_url: https://git.bioconductor.org/packages/rhdf5filters
git_branch: RELEASE_3_12
git_last_commit: 25af018
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
NeedsCompilation: yes
Packaged: 2020-10-28 02:52:36 UTC; biocbuild
Author: Mike Smith [aut, cre] (<https://orcid.org/0000-0002-7800-3848>)
Maintainer: Mike Smith <grimbough@gmail.com>

=== src/blosc/Makefile ===
BLOSC_OBJS=	lib/blosc-1.16.3/bitshuffle-avx2.o \
			lib/blosc-1.16.3/blosc.o \
			lib/blosc-1.16.3/shuffle-avx2.o \
			lib/blosc-1.16.3/shuffle-sse2.o \
			lib/blosc-1.16.3/bitshuffle-generic.o \
			lib/blosc-1.16.3/blosclz.o \
			lib/blosc-1.16.3/shuffle.o \
			lib/blosc-1.16.3/bitshuffle-sse2.o \
			lib/blosc-1.16.3/fastcopy.o \
			lib/blosc-1.16.3/shuffle-generic.o

LZ4_OBJS=	lib/lz4-1.8.3/lz4.o \
		 	lib/lz4-1.8.3/lz4hc.o

SNAPPY_OBJS=lib/snappy-1.1.1/snappy.o \
			lib/snappy-1.1.1/snappy-c.o \
			lib/snappy-1.1.1/snappy-sinksource.o \
			lib/snappy-1.1.1/snappy-stubs-internal.o

ZSTDCOMMON_FILES := $(sort $(wildcard lib/zstd-1.3.8/common/*.c))
ZSTDCOMP_FILES := $(sort $(wildcard lib/zstd-1.3.8/compress/*.c))
ZSTDDECOMP_FILES := $(sort $(wildcard lib/zstd-1.3.8/decompress/*.c))
ZSTD_FILES := $(ZSTDCOMMON_FILES) $(ZSTDCOMP_FILES) $(ZSTDDECOMP_FILES)
ZSTD_OBJS   := $(patsubst %.c,%.o,$(ZSTD_FILES))


all: libH5Zblosc.so

libH5Zblosc.so:	H5Zblosc.o
	$(CXX) $(PKG_CXXFLAGS) $(PKG_CXXPICFLAGS) $(PKG_LDFLAGS) -shared -o libH5Zblosc.so H5Zblosc.o \
		   libblosc.a -lz
		  
H5Zblosc.o: libblosc.a
	$(CC) $(PGK_CFLAGS) $(PKG_CPICFLAGS) -c -o H5Zblosc.o H5Zblosc.c \
	      $(PKG_CPPFLAGS) -I./lib/blosc-1.16.3

libblosc.a:  blosc
	rm -f libblosc.a
	$(AR) cq libblosc.a $(BLOSC_OBJS) $(SNAPPY_OBJS) $(LZ4_OBJS) $(ZSTD_OBJS)
	$(RANLIB) libblosc.a

.PHONY: blosc

blosc: subdirs
	$(MAKE) -C lib/blosc-1.16.3 all

SUBDIRS = lib/snappy-1.1.1 lib/lz4-1.8.3 lib/zstd-1.3.8

.PHONY: subdirs $(SUBDIRS)

subdirs: $(SUBDIRS)

$(SUBDIRS):
		$(MAKE) -C $@

clean:
	rm -f libH5Zblosc.so
	rm -f libblosc.a
	rm -f lib/blosc-1.16.3/*.o
	rm -f lib/snappy-1.1.1/*.o
	rm -f lib/lz4-1.8.3/*.o
	$(MAKE) -C lib/zstd-1.3.8/ clean

=== src/bzip2/Makefile ===

all: libH5Zbz2.so

libH5Zbz2.so:	bzip2-1.0.8/libbz2.a
	${CC} ${PKG_CFLAGS} ${PKG_CPICFLAGS} -shared H5Zbzip2.c $(PKG_CPPFLAGS) \
	-I./bzip2-1.0.8/ ./bzip2-1.0.8/libbz2.a -o libH5Zbz2.so

bzip2-1.0.8/libbz2.a:
	$(MAKE) -C bzip2-1.0.8

clean:
	rm -f libH5Zbz2.so
	rm -f bzip2-1.0.8/libbz2.a
	rm -f bzip2-1.0.8/*.o

## r-bioc-rhdf5filters 1.2.0%2Bdfsg2

=== debian/changelog ===
r-bioc-rhdf5filters (1.2.0+dfsg2-1) unstable; urgency=medium

  * Team upload.
  * debian/copyright: we had excluded too much, keep H5Zblosc.c & H5Zbzip2.c
  * debian/patches/use_debian_packaged_libs.patch: adjust to correctly build
    libH5Zblosc.so & libH5Zbz2.so against the debian packages
  * debian/control: add missing build-dep on libhdf5-dev
  * debian/patches/hardening: propagate Debian provided build flags
  * Set upstream metadata fields: Bug-Database, Repository, Repository-Browse.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 17 Nov 2020 12:17:04 +0100

r-bioc-rhdf5filters (1.2.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Don't test for SSE2 on non-x86. Fixes FTBFS on those archs.
  * Mark debian/patches/{use_debian_packaged_libs,skip_tests.patch}.patch,
    as not needing forwarding upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 16 Nov 2020 10:48:54 +0100

r-bioc-rhdf5filters (1.2.0+dfsg-3) unstable; urgency=medium

  * Create fake plugins by symlinks to real libraries: libbz2 and libblosc
  * Re-enable autopkgtests

 -- Dylan Aïssi <daissi@debian.org>  Sun, 15 Nov 2020 14:40:08 +0100

r-bioc-rhdf5filters (1.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Tue, 10 Nov 2020 08:30:34 +0100

r-bioc-rhdf5filters (1.2.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #973788)
  * Improve d/copyright

 -- Dylan Aïssi <daissi@debian.org>  Mon, 09 Nov 2020 09:44:22 +0100

=== debian/control ===
Source: r-bioc-rhdf5filters
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-rhdf5lib,
               libbz2-dev,
               libblosc-dev,
               libhdf5-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters.git
Homepage: https://bioconductor.org/packages/rhdf5filters/
Rules-Requires-Root: no

Package: r-bioc-rhdf5filters
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R HDF5 compression filters
 This Bioconductor package provides a collection of compression filters for
 use with HDF5 datasets.
 .
 One of the advantages of using HDF5 is that data stored on disk can be
 compressed, reducing both the space required to store them and the time
 needed to read those data. This data compression is applied as part of the
 HDF5 “filter pipeline” that modifies data during I/O operations. HDF5
 includes several filter algorithms as standard, and the version of the
 HDF5 library found in Rhdf5lib is additionally compiled with support for
 the deflate and szip compression filters which rely on third-party
 compression libraries. Collectively HDF5 refer to these as the “internal”
 filters. It is possible to use any combination of these (including none)
 when writing data using rhdf5.

## r-bioc-rhdf5filters 1.2.0+dfsg2

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DH_VERBOSE=true
ifneq (amd64,$(DEB_HOST_ARCH))
export RExtraInstallFlags=--configure-args="ax_cv_gcc_check_x86_cpu_init=yes ax_cv_gcc_x86_cpu_supports_sse2=no"
endif

%:
	dh $@ --buildsystem R

## r-bioc-rhdf5filters 1.6.0+dfsg

=== DESCRIPTION ===
Package: rhdf5filters
Type: Package
Title: HDF5 Compression Filters
Version: 1.6.0
Authors@R: c(person("Mike", "Smith", 
                role=c("aut", "cre"), 
                email = "grimbough@gmail.com",
                comment = c(ORCID = "0000-0002-7800-3848"))
            )
Description: Provides a collection of compression filters for use with HDF5 datasets. 
License: BSD_2_clause + file LICENSE
LazyLoad: true
VignetteBuilder: knitr
Suggests: BiocStyle, knitr, rmarkdown, testthat (>= 2.1.0), rhdf5 (>=
        2.34.0)
SystemRequirements: GNU make
URL: https://github.com/grimbough/rhdf5filters
BugReports: https://github.com/grimbough/rhdf5filters
LinkingTo: Rhdf5lib
RoxygenNote: 7.1.1
Encoding: UTF-8
biocViews: Infrastructure, DataImport
git_url: https://git.bioconductor.org/packages/rhdf5filters
git_branch: RELEASE_3_14
git_last_commit: 5f7f3a5
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: yes
Packaged: 2021-10-26 22:33:38 UTC; biocbuild
Author: Mike Smith [aut, cre] (<https://orcid.org/0000-0002-7800-3848>)
Maintainer: Mike Smith <grimbough@gmail.com>

=== debian/changelog ===
r-bioc-rhdf5filters (1.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.0+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 21:19:02 +0530

r-bioc-rhdf5filters (1.4.0+dfsg-3) unstable; urgency=medium

  * Team Upload.
  * d/t/autopkgtest-pkg-r.conf: Fix the name of
    test-depends, r-cran-rhdf5 => r-bioc-rhdf5 (Closes: #995208)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 28 Sep 2021 10:58:01 +0530

r-bioc-rhdf5filters (1.4.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Test-Depends: r-cran-rhdf5
  * Disable reprotest

 -- Andreas Tille <tille@debian.org>  Fri, 03 Sep 2021 23:41:35 +0200

r-bioc-rhdf5filters (1.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found

 -- Andreas Tille <tille@debian.org>  Fri, 03 Sep 2021 15:20:28 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libbz2-dev,
                libblosc-dev,
                libhdf5-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters.git
 Homepage: https://bioconductor.org/packages/rhdf5filters/

## r-bioc-rhdf5filters 1.8.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rhdf5filters
 Type: Package
 Title: HDF5 Compression Filters
-Version: 1.6.0
+Version: 1.8.0
 Authors@R: c(person("Mike", "Smith", 
                 role=c("aut", "cre"), 
                 email = "grimbough@gmail.com",
@@ -21,11 +21,11 @@
 Encoding: UTF-8
 biocViews: Infrastructure, DataImport
 git_url: https://git.bioconductor.org/packages/rhdf5filters
-git_branch: RELEASE_3_14
-git_last_commit: 5f7f3a5
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: b0b588b
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-10-26 22:33:38 UTC; biocbuild
+Packaged: 2022-04-26 21:50:35 UTC; biocbuild
 Author: Mike Smith [aut, cre] (<https://orcid.org/0000-0002-7800-3848>)
 Maintainer: Mike Smith <grimbough@gmail.com>

## r-bioc-rhdf5filters 1.8.0+dfsg

=== debian/changelog ===
r-bioc-rhdf5filters (1.8.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.8.0+dfsg
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 14 May 2022 18:10:06 +0530

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libbz2-dev,
                libblosc-dev,
                libhdf5-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters.git
 Homepage: https://bioconductor.org/packages/rhdf5filters/

## r-bioc-rhdf5filters 1.10.0%2Bdfsg

=== debian/changelog ===
r-bioc-rhdf5filters (1.10.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Update lintian override info format in
    d/r-bioc-rhdf5filters.lintian-overrides on line 2.

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 17:25:15 +0100

## r-bioc-rhdf5filters 1.10.0+dfsg

=== DESCRIPTION ===
Package: rhdf5filters
Type: Package
Title: HDF5 Compression Filters
Version: 1.10.0
Authors@R: c(person("Mike", "Smith", 
                role=c("aut", "cre"), 
                email = "grimbough@gmail.com",
                comment = c(ORCID = "0000-0002-7800-3848"))
            )
Description: Provides a collection of additional compression filters for HDF5 
    datasets. The package is intended to provide seemless integration with 
    rhdf5, however the compiled filters can also be used with external 
    applications.
License: BSD_2_clause + file LICENSE
LazyLoad: true
VignetteBuilder: knitr
Suggests: BiocStyle, knitr, rmarkdown, testthat (>= 2.1.0), rhdf5 (>=
        2.34.0)
SystemRequirements: GNU make
URL: https://github.com/grimbough/rhdf5filters
BugReports: https://github.com/grimbough/rhdf5filters
LinkingTo: Rhdf5lib
RoxygenNote: 7.1.1
Encoding: UTF-8
biocViews: Infrastructure, DataImport
git_url: https://git.bioconductor.org/packages/rhdf5filters
git_branch: RELEASE_3_16
git_last_commit: 6131538
git_last_commit_date: 2022-11-01
Date/Publication: 2022-11-01
NeedsCompilation: yes
Packaged: 2022-11-01 22:44:27 UTC; biocbuild
Author: Mike Smith [aut, cre] (<https://orcid.org/0000-0002-7800-3848>)
Maintainer: Mike Smith <grimbough@gmail.com>

=== src/blosc/Makefile ===
BLOSC_OBJS=	lib/blosc-1.20.1/bitshuffle-avx2.o \
			lib/blosc-1.20.1/blosc.o \
			lib/blosc-1.20.1/shuffle-avx2.o \
			lib/blosc-1.20.1/shuffle-sse2.o \
			lib/blosc-1.20.1/bitshuffle-generic.o \
			lib/blosc-1.20.1/blosclz.o \
			lib/blosc-1.20.1/shuffle.o \
			lib/blosc-1.20.1/bitshuffle-sse2.o \
			lib/blosc-1.20.1/fastcopy.o \
			lib/blosc-1.20.1/shuffle-generic.o

LZ4_OBJS=	lib/lz4-1.9.2/lz4.o \
			lib/lz4-1.9.2/lz4hc.o

SNAPPY_OBJS=lib/snappy-1.1.1/snappy.o \
			lib/snappy-1.1.1/snappy-c.o \
			lib/snappy-1.1.1/snappy-sinksource.o \
			lib/snappy-1.1.1/snappy-stubs-internal.o

ZSTDCOMMON_FILES := $(sort $(wildcard lib/zstd-1.4.5/common/*.c))
ZSTDCOMP_FILES := $(sort $(wildcard lib/zstd-1.4.5/compress/*.c))
ZSTDDECOMP_FILES := $(sort $(wildcard lib/zstd-1.4.5/decompress/*.c))
ZSTD_FILES := $(ZSTDCOMMON_FILES) $(ZSTDCOMP_FILES) $(ZSTDDECOMP_FILES)
ZSTD_OBJS := $(patsubst %.c,%.o,$(ZSTD_FILES))


all: libH5Zblosc.so

libH5Zblosc.so:	H5Zblosc.o
	$(CXX) $(PKG_CXXFLAGS) $(PKG_CXXPICFLAGS) $(PKG_LDFLAGS) -shared -o libH5Zblosc.so H5Zblosc.o \
	libblosc.a -lz

H5Zblosc.o: libblosc.a
	$(CC) $(PKG_CFLAGS) $(PKG_CPICFLAGS) -c -o H5Zblosc.o H5Zblosc.c \
	$(PKG_CPPFLAGS) -I./lib/blosc-1.20.1

libblosc.a: blosc
	rm -f libblosc.a
	$(AR) cq libblosc.a $(BLOSC_OBJS) $(SNAPPY_OBJS) $(LZ4_OBJS) $(ZSTD_OBJS)
	$(RANLIB) libblosc.a

.PHONY: blosc

blosc: subdirs
	$(MAKE) -C lib/blosc-1.20.1 all

SUBDIRS=lib/snappy-1.1.1 lib/lz4-1.9.2 lib/zstd-1.4.5

.PHONY: subdirs $(SUBDIRS)

subdirs: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@

clean:
	rm -f libH5Zblosc.so
	rm -f libblosc.a
	rm -f lib/blosc-1.20.1/*.o
	rm -f lib/snappy-1.1.1/*.o
	rm -f lib/lz4-1.9.2/*.o
	$(MAKE) -C lib/zstd-1.4.5/ clean

=== src/bzip2/Makefile ===

all: libH5Zbz2.so

libH5Zbz2.so: bzip2-1.0.8/libbz2.a
	${CC} ${PKG_CFLAGS} ${PKG_CPICFLAGS} -shared H5Zbzip2.c $(PKG_CPPFLAGS) \
	-I./bzip2-1.0.8/ ./bzip2-1.0.8/libbz2.a ${PKG_LDFLAGS} -o libH5Zbz2.so

bzip2-1.0.8/libbz2.a:
	$(MAKE) -C bzip2-1.0.8

clean:
	rm -f libH5Zbz2.so
	rm -f bzip2-1.0.8/libbz2.a
	rm -f bzip2-1.0.8/*.o

=== src/lzf/lzf/Makefile ===

FLAGS=$(PKG_CFLAGS) $(PKG_CPICFLAGS)

all: liblzf.a

liblzf.a: lzf_c.o lzf_d.o
	rm -f liblzf.a
	$(AR) cq liblzf.a lzf_c.o lzf_d.o

lzf_c.o: lzf_c.c
	$(CC) $(FLAGS) -c lzf_c.c
lzf_d.o: lzf_d.c
	$(CC) $(FLAGS) -c lzf_d.c

clean:
	rm -f *.o liblzf.a

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-rhdf5filters
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Dylan Aïssi <daissi@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters.git
+Homepage: https://bioconductor.org/packages/rhdf5filters/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -11,11 +15,7 @@
                libbz2-dev,
                libblosc-dev,
                libhdf5-dev
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters.git
-Homepage: https://bioconductor.org/packages/rhdf5filters/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-rhdf5filters
 Architecture: any

## r-bioc-rhdf5filters 1.12.1+dfsg

=== debian/changelog ===
r-bioc-rhdf5filters (1.12.1+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Update patch to also copy blosc user libdir.

 -- Nilesh Patra <nilesh@debian.org>  Sat, 29 Jul 2023 23:34:53 +0530

r-bioc-rhdf5filters (1.12.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  
  [ Andreas Tile ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)
  * Build-Depends: libzstd-dev
  * Remove zstd code copy from upstream source

  [ Nilesh Patra ]
  * Fix build system to work with Debian packaged zstd

 -- Andreas Tille <tille@debian.org>  Sat, 22 Jul 2023 16:18:47 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters.git
 Homepage: https://bioconductor.org/packages/rhdf5filters/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -14,7 +14,9 @@
                r-bioc-rhdf5lib,
                libbz2-dev,
                libblosc-dev,
-               libhdf5-dev
+               libhdf5-dev,
+               libzstd-dev,
+               libsnappy-dev
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-rhdf5filters

## r-bioc-rhdf5filters 1.14.1+dfsg

=== DESCRIPTION ===
Package: rhdf5filters
Type: Package
Title: HDF5 Compression Filters
Version: 1.14.1
Authors@R: c(person("Mike", "Smith", 
                role=c("aut", "cre"), 
                email = "grimbough@gmail.com",
                comment = c(ORCID = "0000-0002-7800-3848"))
            )
Description: Provides a collection of additional compression filters for HDF5 
    datasets. The package is intended to provide seemless integration with 
    rhdf5, however the compiled filters can also be used with external 
    applications.
License: BSD_2_clause + file LICENSE
LazyLoad: true
VignetteBuilder: knitr
Suggests: BiocStyle, knitr, rmarkdown, tinytest, rhdf5 (>= 2.34.0)
SystemRequirements: GNU make
URL: https://github.com/grimbough/rhdf5filters
BugReports: https://github.com/grimbough/rhdf5filters
LinkingTo: Rhdf5lib
RoxygenNote: 7.2.3
Encoding: UTF-8
biocViews: Infrastructure, DataImport
git_url: https://git.bioconductor.org/packages/rhdf5filters
git_branch: RELEASE_3_18
git_last_commit: 5ddd484
git_last_commit_date: 2023-11-06
Date/Publication: 2023-11-06
NeedsCompilation: yes
Packaged: 2023-11-06 23:14:59 UTC; biocbuild
Author: Mike Smith [aut, cre] (<https://orcid.org/0000-0002-7800-3848>)
Maintainer: Mike Smith <grimbough@gmail.com>

=== src/lzf/lzf/Makefile ===
--- 
+++ 
@@ -6,7 +6,8 @@
 liblzf.a: lzf_c.o lzf_d.o
 	rm -f liblzf.a
 	$(AR) cq liblzf.a lzf_c.o lzf_d.o
-
+	$(RANLIB) liblzf.a
+	
 lzf_c.o: lzf_c.c
 	$(CC) $(FLAGS) -c lzf_c.c
 lzf_d.o: lzf_d.c

=== debian/changelog ===
r-bioc-rhdf5filters (1.14.1+dfsg-3) unstable; urgency=medium

  * Team upload
  * Remove vbz test on architectures where it is not available
    Closes: #1056497

 -- Andreas Tille <tille@debian.org>  Tue, 12 Dec 2023 15:01:58 +0100

r-bioc-rhdf5filters (1.14.1+dfsg-2) unstable; urgency=medium

  [ Graham Inggs ]
  * Disable libvbz-hdf-plugin-dev Build-Depends for those architectures
    that do not implement vbz compression
    Closes: #1057203

 -- Andreas Tille <tille@debian.org>  Sun, 03 Dec 2023 14:07:30 +0100

r-bioc-rhdf5filters (1.14.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 07:57:53 +0100

r-bioc-rhdf5filters (1.12.1+dfsg2-1) unstable; urgency=medium

  * Team upload.

  [ Nilesh Patra ]
  * Enable VBZ compression as well
  * Repack to exclude vbz completely, include zstd H5Zzstd plugin
  * Update patch to build zstd plugin as well
    Closes: #1042548

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add package-has-unnecessary-activation-of-ldconfig-trigger to
    lintian-overrides
  * Fix clean target, remove further autogenerated file
    Closes: #1045706

 -- Andreas Tille <tille@debian.org>  Fri, 20 Oct 2023 08:18:29 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,8 @@
                libblosc-dev,
                libhdf5-dev,
                libzstd-dev,
-               libsnappy-dev
+               libsnappy-dev,
+               libvbz-hdf-plugin-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64]
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-rhdf5filters

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,17 @@
 
 %:
 	dh $@ --buildsystem R
+
+override_dh_clean:
+	rm -rf src/vbz
+	find . -name "*.o" -delete
+	find . -name "*.so" -delete
+	find . -name "*.a" -delete
+	dh_clean
+
+override_dh_install:
+	dh_install
+ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf ppc64el s390x))
+	# Remove vbz test on architectures where it is not available
+	find debian -name test-filter-read.R -exec sed -i -e '/"VBZ"/d' -e 's/"LZF",/"LZF"/' \{\} \;
+endif

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?" \
https://bioconductor.org/packages/release/bioc/html/rhdf5filters.html .*/rhdf5filters_(.*).tar.gz

## r-bioc-rhdf5filters 1.16.0+dfsg

=== debian/changelog ===
r-bioc-rhdf5filters (1.16.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 16:36:13 +0200

r-bioc-rhdf5filters (1.16.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 13:12:18 +0200

r-bioc-rhdf5filters (1.16.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 17:28:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,36 @@
 Source: r-bioc-rhdf5filters
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Dylan Aïssi <daissi@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters.git
-Homepage: https://bioconductor.org/packages/rhdf5filters/
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-rhdf5lib,
+               architecture-is-64-bit,
+               r-bioc-rhdf5lib (>= 1.26.0),
                libbz2-dev,
                libblosc-dev,
                libhdf5-dev,
                libzstd-dev,
                libsnappy-dev,
                libvbz-hdf-plugin-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64]
-Testsuite: autopkgtest-pkg-r
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters.git
+Homepage: https://bioconductor.org/packages/rhdf5filters/
+Rules-Requires-Root: no
 
 Package: r-bioc-rhdf5filters
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-rhdf5lib (>= 1.26.0),
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1),
+          r-bioc-rhdf5 (>= 2.48.0)
 Description: GNU R HDF5 compression filters
  This Bioconductor package provides a collection of compression filters for
  use with HDF5 datasets.

## r-bioc-rhdf5filters 1.18.0+dfsg

=== debian/changelog ===
r-bioc-rhdf5filters (1.18.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 22:07:41 +0100

r-bioc-rhdf5filters (1.18.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Nov 2024 08:53:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-rhdf5filters
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Dylan Aïssi <daissi@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters.git
+Homepage: https://bioconductor.org/packages/rhdf5filters/
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -15,22 +19,15 @@
                libzstd-dev,
                libsnappy-dev,
                libvbz-hdf-plugin-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64]
-Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters.git
-Homepage: https://bioconductor.org/packages/rhdf5filters/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-rhdf5filters
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         r-bioc-rhdf5lib (>= 1.26.0),
+         ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-biocstyle (>= 2.32.1),
-          r-bioc-rhdf5 (>= 2.48.0)
+Suggests: ${R:Suggests}
 Description: GNU R HDF5 compression filters
  This Bioconductor package provides a collection of compression filters for
  use with HDF5 datasets.

## r-bioc-rhdf5filters 1.18.1+dfsg

=== DESCRIPTION ===
Package: rhdf5filters
Type: Package
Title: HDF5 Compression Filters
Version: 1.18.1
Authors@R: c(person("Mike", "Smith", 
                role=c("aut", "cre"), 
                email = "grimbough@gmail.com",
                comment = c(ORCID = "0000-0002-7800-3848"))
            )
Description: Provides a collection of additional compression filters for HDF5 
    datasets. The package is intended to provide seemless integration with 
    rhdf5, however the compiled filters can also be used with external 
    applications.
License: BSD_2_clause + file LICENSE
LazyLoad: true
VignetteBuilder: knitr
Suggests: BiocStyle, knitr, rmarkdown, tinytest, rhdf5 (>= 2.47.7)
SystemRequirements: GNU make
URL: https://github.com/grimbough/rhdf5filters
BugReports: https://github.com/grimbough/rhdf5filters
LinkingTo: Rhdf5lib
RoxygenNote: 7.3.2
Encoding: UTF-8
biocViews: Infrastructure, DataImport
git_url: https://git.bioconductor.org/packages/rhdf5filters
git_branch: RELEASE_3_20
git_last_commit: 00e74d9
git_last_commit_date: 2025-03-05
Repository: Bioconductor 3.20
Date/Publication: 2025-03-06
NeedsCompilation: yes
Packaged: 2025-03-07 00:15:46 UTC; biocbuild
Author: Mike Smith [aut, cre] (<https://orcid.org/0000-0002-7800-3848>)
Maintainer: Mike Smith <grimbough@gmail.com>

=== debian/changelog ===
r-bioc-rhdf5filters (1.18.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Refreshed the patches

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 17 Mar 2025 13:11:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5filters.git
 Homepage: https://bioconductor.org/packages/rhdf5filters/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
